> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1enrichmentmnp



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/enrichment/mnp
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/enrichment/mnp:
    get:
      tags:
        - EnrichmentMnp
      operationId: enrichment.index
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Array of `LookupCheckResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/LookupCheckResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    LookupCheckResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        amount:
          type: integer
        cost:
          type: number
        filters:
          type: string
        created_at:
          type: string
        done_at:
          type: string
        status:
          type: string
        meta:
          $ref: '#/components/schemas/LookupCheckMetaData'
      required:
        - id
        - team_id
        - amount
        - cost
        - filters
        - created_at
        - done_at
        - status
        - meta
      title: LookupCheckResource
    LookupCheckMetaData:
      type: object
      properties:
        filters:
          type: array
          default: []
          items:
            type: string
        status_reason:
          anyOf:
            - $ref: '#/components/schemas/LookupCheckStatusReasonEnum'
            - type: 'null'
        notes:
          type: array
          default: []
          items:
            type: string
      required:
        - filters
        - status_reason
        - notes
      title: LookupCheckMetaData
    LookupCheckStatusReasonEnum:
      type: string
      enum:
        - No contacts
      title: LookupCheckStatusReasonEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````